org.jfree.chart.plot

## Class DefaultDrawingSupplier

- java.lang.Object
- - org.jfree.chart.plot.DefaultDrawingSupplier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DrawingSupplier, org.jfree.util.PublicCloneable

    public class DefaultDrawingSupplier
    extends java.lang.Object
    implements DrawingSupplier, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A default implementation of the `DrawingSupplier` interface. All `Plot` instances have a new instance of this class installed by default.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.awt.Paint[]` `DEFAULT_FILL_PAINT_SEQUENCE` The default fill paint sequence.
`static java.awt.Paint[]` `DEFAULT_OUTLINE_PAINT_SEQUENCE` The default outline paint sequence.
`static java.awt.Stroke[]` `DEFAULT_OUTLINE_STROKE_SEQUENCE` The default outline stroke sequence.
`static java.awt.Paint[]` `DEFAULT_PAINT_SEQUENCE` The default fill paint sequence.
`static java.awt.Shape[]` `DEFAULT_SHAPE_SEQUENCE` The default shape sequence.
`static java.awt.Stroke[]` `DEFAULT_STROKE_SEQUENCE` The default stroke sequence.

### Constructor Summary

Constructors
Constructor and Description
`DefaultDrawingSupplier()` Creates a new supplier, with default sequences for fill paint, outline paint, stroke and shapes.
`DefaultDrawingSupplier(java.awt.Paint[] paintSequence, java.awt.Paint[] fillPaintSequence, java.awt.Paint[] outlinePaintSequence, java.awt.Stroke[] strokeSequence, java.awt.Stroke[] outlineStrokeSequence, java.awt.Shape[] shapeSequence)` Creates a new supplier.
`DefaultDrawingSupplier(java.awt.Paint[] paintSequence, java.awt.Paint[] outlinePaintSequence, java.awt.Stroke[] strokeSequence, java.awt.Stroke[] outlineStrokeSequence, java.awt.Shape[] shapeSequence)` Creates a new supplier.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone.
`static java.awt.Shape[]` `createStandardSeriesShapes()` Creates an array of standard shapes to display for the items in series on charts.
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with another object.
`java.awt.Paint` `getNextFillPaint()` Returns the next fill paint in the sequence.
`java.awt.Paint` `getNextOutlinePaint()` Returns the next outline paint in the sequence.
`java.awt.Stroke` `getNextOutlineStroke()` Returns the next outline stroke in the sequence.
`java.awt.Paint` `getNextPaint()` Returns the next paint in the sequence.
`java.awt.Shape` `getNextShape()` Returns the next shape in the sequence.
`java.awt.Stroke` `getNextStroke()` Returns the next stroke in the sequence.

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PAINT_SEQUENCE

    public static final java.awt.Paint[] DEFAULT_PAINT_SEQUENCE

The default fill paint sequence.

#### DEFAULT_OUTLINE_PAINT_SEQUENCE

    public static final java.awt.Paint[] DEFAULT_OUTLINE_PAINT_SEQUENCE

The default outline paint sequence.

#### DEFAULT_FILL_PAINT_SEQUENCE

    public static final java.awt.Paint[] DEFAULT_FILL_PAINT_SEQUENCE

The default fill paint sequence.

#### DEFAULT_STROKE_SEQUENCE

    public static final java.awt.Stroke[] DEFAULT_STROKE_SEQUENCE

The default stroke sequence.

#### DEFAULT_OUTLINE_STROKE_SEQUENCE

    public static final java.awt.Stroke[] DEFAULT_OUTLINE_STROKE_SEQUENCE

The default outline stroke sequence.

#### DEFAULT_SHAPE_SEQUENCE

    public static final java.awt.Shape[] DEFAULT_SHAPE_SEQUENCE

The default shape sequence.

### Constructor Detail

#### DefaultDrawingSupplier

    public DefaultDrawingSupplier()

Creates a new supplier, with default sequences for fill paint, outline paint, stroke and shapes.

#### DefaultDrawingSupplier

    public DefaultDrawingSupplier(java.awt.Paint[] paintSequence,
                          java.awt.Paint[] outlinePaintSequence,
                          java.awt.Stroke[] strokeSequence,
                          java.awt.Stroke[] outlineStrokeSequence,
                          java.awt.Shape[] shapeSequence)

Creates a new supplier.

Parameters:
  `paintSequence` - the fill paint sequence.
  `outlinePaintSequence` - the outline paint sequence.
  `strokeSequence` - the stroke sequence.
  `outlineStrokeSequence` - the outline stroke sequence.
  `shapeSequence` - the shape sequence.

#### DefaultDrawingSupplier

    public DefaultDrawingSupplier(java.awt.Paint[] paintSequence,
                          java.awt.Paint[] fillPaintSequence,
                          java.awt.Paint[] outlinePaintSequence,
                          java.awt.Stroke[] strokeSequence,
                          java.awt.Stroke[] outlineStrokeSequence,
                          java.awt.Shape[] shapeSequence)

Creates a new supplier.

Parameters:
  `paintSequence` - the paint sequence.
  `fillPaintSequence` - the fill paint sequence.
  `outlinePaintSequence` - the outline paint sequence.
  `strokeSequence` - the stroke sequence.
  `outlineStrokeSequence` - the outline stroke sequence.
  `shapeSequence` - the shape sequence.
Since:
  1.0.6

### Method Detail

#### getNextPaint

    public java.awt.Paint getNextPaint()

Returns the next paint in the sequence.

Specified by:
  `getNextPaint` in interface `DrawingSupplier`
Returns:
  The paint.

#### getNextOutlinePaint

    public java.awt.Paint getNextOutlinePaint()

Returns the next outline paint in the sequence.

Specified by:
  `getNextOutlinePaint` in interface `DrawingSupplier`
Returns:
  The paint.

#### getNextFillPaint

    public java.awt.Paint getNextFillPaint()

Returns the next fill paint in the sequence.

Specified by:
  `getNextFillPaint` in interface `DrawingSupplier`
Returns:
  The paint.
Since:
  1.0.6

#### getNextStroke

    public java.awt.Stroke getNextStroke()

Returns the next stroke in the sequence.

Specified by:
  `getNextStroke` in interface `DrawingSupplier`
Returns:
  The stroke.

#### getNextOutlineStroke

    public java.awt.Stroke getNextOutlineStroke()

Returns the next outline stroke in the sequence.

Specified by:
  `getNextOutlineStroke` in interface `DrawingSupplier`
Returns:
  The stroke.

#### getNextShape

    public java.awt.Shape getNextShape()

Returns the next shape in the sequence.

Specified by:
  `getNextShape` in interface `DrawingSupplier`
Returns:
  The shape.

#### createStandardSeriesShapes

    public static java.awt.Shape[] createStandardSeriesShapes()

Creates an array of standard shapes to display for the items in series on charts.

Returns:
  The array of shapes.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this object for equality with another object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `java.lang.Object`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if a component of the supplier does not support cloning.